#ifdef PPC_XILKERNEL
#include <sys/sched.h>
#include <xpseudo_asm.h>
#include <xtime_l.h>

void timer_int_handler( int irq_num )
{
  XTime_PITDisableInterrupt();
  process_scheduler() ;
  // control returns here in the case of a "restore"
  XTime_TSRClearStatusBits(XREG_TSR_PIT_INTERRUPT_STATUS);
  XTime_PITEnableInterrupt();
}
#endif
